%global momorel 4
%global qtver 4.4.0
%global kdever 4.0.85
%global kdelibsrel 1m
%global kdebaserel 1m
%global qtdir %{_libdir}/qt4
%global kdedir /usr

Summary: Allowing GTK to use QT4 widget styles
Name: gtk-qt-engine
Version: 1.1
Release: %{momorel}m%{?dist}
License: GPL
URL: http://gtk-qt.ecs.soton.ac.uk/
Group: User Interface/Desktops
Source0: http://gtk-qt.ecs.soton.ac.uk/files/%{version}/%{name}-%{version}.tar.bz2 
NoSource: 0
Patch0: %{name}-%{version}-desktop.patch
Patch1: %{name}-%{version}-automoc4.patch
# patches from debian
Patch10: 01_fix_out_of_source_build.diff
Patch11: 02_change_desktop_file_installation.diff
Patch12: 03_disable_engine_with_nspluginviewer.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdebase >= %{kdever}-%{kdebaserel}
Requires: gtk2 >= 2.2.0, libbonoboui >= 2.4.0
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: gettext
BuildPreReq: gtk2-devel >= 2.2.0
BuildPreReq: libbonoboui-devel >= 2.4.0
BuildPreReq: libart_lgpl-devel
BuildPreReq: zlib-devel

%description
It behaves like a normal GTK theme engine, but calls functions from QT4 instead
of doing the drawing itself.

%prep
%setup -q -n %{name}

%patch0 -p1 -b .desktop~
%patch1 -p1 -b .automoc4
%patch10 -p1 -b .fix-build
%patch11 -p1 -b .kcm_service
%patch12 -p1 -b .nspluginviewer

%build
%{cmake_kde4} \
	-DINSTALL_PATH_KCONTROL_MODULES=%{_kde4_libdir} \
	-DICON_INSTALL_DIR=%{_kde4_iconsdir}/oxygen/48x48/apps .

make %{?_smp_mflags} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL
%{_kde4_libdir}/gtk-2.0/*/engines/libqt4engine.so
%{_kde4_libdir}/kde4/kcm_gtk4.so
%{_kde4_iconsdir}/*/*/*/kcmgtk.png
%{_kde4_datadir}/kde4/services/kcmgtk4.desktop
%{_datadir}/locale/*/LC_MESSAGES/gtkqtengine.mo
%{_datadir}/themes/Qt4

%changelog
* Mon Jul 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-4m)
- fix build for new automoc4
- import 3 patches from debian
 +- gtk-qt-engine-kde4 (1.1-1) experimental; urgency=low
 +- Initial release (Closes: #478846)
 +- Add patch to disable engine with nspluginviewer.
 +- Merge Kubuntu patches:
  +- Out of source build isn't working due to problems in 2 CMakeLists.txt.
  +- Installs the kcm desktop file in KDE 4's services directory, as it
  +- shouldn't show up in menus.
 +- Fathi Boudra <fabo@debian.org>  Thu, 01 May 2008 12:47:20 +0200

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1-3m)
- rebuild against qt-4.4.0-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1-2m)
- rebuild against gcc43

* Fri Mar 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-1m)
- version 1.1 KDE4

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7-6m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7-5m)
- %%NoSource -> NoSource

* Sat Apr  7 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.7-4m)
- %%{_libdir}/menu -> %%{_prefix}/lib/menu

* Tue Apr  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-3m)
- update gtk-qt-engine-ja.po from TurboLinux/ia32/wizpy/

* Sun Apr  1 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-2m)
- modify for new autotools and dive into the trunk

* Thu Jul 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-1m)
- import from Centro

* Wed Jul 26 2006 Yukinori Tojo - 0.7-2
- added ja.po

* Wed Jul 26 2006 Yukinori Tojo - 0.7-1
- upto 0.7

* Sat Jun 17 2006 Bob Lee <bobl@turbolinux.com> - 0.6-6
- add zh_CN.utf8 summary and description

* Thu Nov 24 2005 Go Taniguchi <go@turbolinux.co.jp> 0.6-5
- if wm is gnome/xfce, disabled
- thunderbird too

* Thu Oct  6 2005 Toshihiro Yamagishi <toshihiro@turbolinux.co.jp> - 0.6-4
- do not provide applnk/Settings

* Wed Oct 5 2005 Go Taniguchi <go@turbolinux.co.jp> 0.6-3
- postun script fix

* Tue Aug  2 2005 Toshihiro Yamagishi <toshihiro@turbolinux.co.jp> - 0.6-2
- added japanese messages

* Wed Jun 29 2005 Yukinori Tojo - 0.6-1
- Initial release for Turbolinux.
